t.rast.to.vect(1)

NAME
t.rast.to.vect - Converts a space time raster dataset into a space time vector dataset

KEYWORDS
temporal, conversion, raster, vector, time

SYNOPSIS
t.rast.to.vect
t.rast.to.vect --help
t.rast.to.vect [-ntszbv] input=name output=name [where=sql_query] type=string basename=string [suffix=name] [column=string] [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Register empty vector maps

-t
    Do not create attribute tables

-s
    Smooth corners of area features

-z
    Write raster values as z coordinate
    Table is not created. Currently supported only for points.

-b
    Do not build vector topology
    Name must be SQL compliant

-v
    Use raster values as categories instead of unique sequence (CELL only)

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

output=name [required]
    Name of the output space time vector dataset

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

type=string [required]
    Output feature type
    Options: point, line, area

basename=string [required]
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

suffix=name
    Suffix to add at basename: set ’gran’ for granularity, ’time’ for the full time format, ’num’ for numerical suffix with a specific number of digits (default %%05)
    Default: gran

column=string
    Name of attribute column to store value
    Default: value

nprocs=integer
    Number of r.to.vect processes to run in parallel, more than 1 process works only in conjunction with flag -t
    Default: 1

DESCRIPTION
t.rast.to.vect is designed to convert a space time raster dataset into a space time vector dataset. This module works as a front-end to r.to.vect and therefore supports all parameter of this module. Hence, all raster map layers in a space time raster dataset are passed to r.to.vect that converts them into vector map layers (using point,line or area as conversion criteria). Please refer to the r.to.vect documentation for a detailed description of the raster to vector conversion options. The new generated vector map layers will be registered in the output space time vector dataset, using the same time stamps as their raster map layer origins.

This module supports the parallel processing of r.to.vect module instances. The number of parallel processes can be set with the nprocs option. However, this will only work in conjunction with the -t flag, that avoids the creation of attribute tables. The parallel creation of attribute tables is not supported.

The where option allows selecting subsets of the input space time raster dataset.

The flag -n can be used to force the registration of empty vector map layers. Empty vector maps may occur in case that empty raster map layers should be converted into vector map layers.

SEE ALSO
r.to.vect, t.rast.db.select, t.info

AUTHOR
Sören Gebbert, Geoinformatikbüro Dassau

SOURCE CODE

Available at: t.rast.to.vect source code (history)

Latest change: Tuesday Jan 27 12:40:13 2026 in commit: 5e8b13d47dd4fc81efa5abefe90c34f7a8291fb9

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual